> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kollie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent

> Gets a agent by its id



## OpenAPI

````yaml GET /api/v1/agents/{agent_id}
openapi: 3.1.0
info:
  title: kollie-backend
  version: v1
servers: []
security: []
paths:
  /api/v1/agents/{agent_id}:
    get:
      tags:
        - agents
      summary: Get Agent By Id
      description: Gets a agent by its id
      operationId: get_agent_by_id_api_v1_agents__agent_id__get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponseBase_IAgentReadWithOrg_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponseBase_IAgentReadWithOrg_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data got correctly
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IAgentReadWithOrg'
            - type: 'null'
      type: object
      title: IGetResponseBase[IAgentReadWithOrg]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IAgentReadWithOrg:
      properties:
        name:
          type: string
          title: Name
        config:
          additionalProperties: true
          type: object
          title: Config
          default: {}
        organization_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Organization Id
        id:
          type: string
          format: uuid
          title: Id
        organization:
          anyOf:
            - $ref: '#/components/schemas/OrganizationBase'
            - type: 'null'
        skills:
          items:
            $ref: '#/components/schemas/IAgentSkillReadAux'
          type: array
          title: Skills
        latest_prompt:
          anyOf:
            - $ref: '#/components/schemas/IPromptRead'
            - type: 'null'
      type: object
      required:
        - name
        - id
        - organization
        - skills
        - latest_prompt
      title: IAgentReadWithOrg
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OrganizationBase:
      properties:
        name:
          type: string
          title: Name
      type: object
      required:
        - name
      title: OrganizationBase
    IAgentSkillReadAux:
      properties:
        type:
          anyOf:
            - $ref: '#/components/schemas/AgentSkillType'
            - type: 'null'
        exec_order:
          $ref: '#/components/schemas/AgentSkillOrder'
          default: post_call
        enabled:
          type: boolean
          title: Enabled
          default: false
        config:
          additionalProperties: true
          type: object
          title: Config
          default: {}
        agent_id:
          type: string
          format: uuid
          title: Agent Id
        id:
          type: string
          format: uuid
          title: Id
      type: object
      required:
        - agent_id
        - id
      title: IAgentSkillReadAux
    IPromptRead:
      properties:
        level:
          type: integer
          title: Level
        prompt:
          type: string
          title: Prompt
        explanation:
          type: string
          title: Explanation
        mitigation:
          anyOf:
            - type: string
            - type: 'null'
          title: Mitigation
        harmful_intents:
          items:
            type: string
          type: array
          title: Harmful Intents
          default: []
        agent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Agent Id
        organization_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Organization Id
      type: object
      required:
        - level
        - prompt
        - explanation
      title: IPromptRead
    AgentSkillType:
      type: string
      enum:
        - scheduling
        - extract_information
        - api
        - call_transfer
        - industry_terms
      title: AgentSkillType
    AgentSkillOrder:
      type: string
      enum:
        - pre_call
        - during_call
        - post_call
      title: AgentSkillOrder
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````